%global momorel 9
Summary: Unicode-Map8 module for perl (PKGS/SOURCES)
Name: perl-Unicode-Map8
Version: 0.12
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Unicode/Unicode-Map8-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Unicode/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: perl >= 5.8.5
BuildPrereq: perl-Unicode-String >= 2.07-4m

%description
Unicode-Map8 module for perl

%prep
%setup -q -n Unicode-Map8-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL

%make
##%%make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%make install PERL_INSTALL_ROOT=%{buildroot}

 find %{buildroot}/usr -type f -print | 
	sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod | 
	sed -e 's,\(.*/man/.*\),\1*,' | 
	grep -v "\.packlist" > Unicode-Map8-%{version}-filelist
if [ "$(cat Unicode-Map8-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

rm -f %{buildroot}%{perl_sitearch}/auto/Unicode/Map8/.packlist

%files -f Unicode-Map8-%{version}-filelist
%defattr(-,root,root)
%doc Changes README rfc1345.txt

%changelog
* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.12-9m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.12-8m)
- rebuilt against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.12-7m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.12-6m)
- remove Epoch from BuildPrereq

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.12-5m)
- revised spec for rpm 4.2.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.12-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.12-3m)
- rebuild against perl-5.8.1

* Thu Oct 30 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.12-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sun Jan  5 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.12-1m)

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-4m)
- rebuild against perl-5.8.0

* Mon Aug  5 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-3m)
- revise URL

* Sat Aug  3 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.11-2m)
- fix man install path

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.11-1m)
- spec file was semi-autogenerated. 
